## q2-quality-control 2021.8.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_quality_control

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-quality-control 2020.11.1

=== debian/changelog ===
q2-quality-control (2020.11.1-3) unstable; urgency=medium

  * Add myself to uploaders.
  * Mark autopkgtest skip-not-installable, should help with missing
    dependencies on at least i386 and armhf.
  * Add skip-test-ppc64el.patch; this skips a test relying on vsearch, probably
    worth investigating further.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 06 Feb 2021 19:14:15 +0100

q2-quality-control (2020.11.1-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2021 07:21:38 +0100

q2-quality-control (2020.11.1-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #962717).

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 13:44:39 +0100

=== debian/control ===
Source: q2-quality-control
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Steffen Moeller <moeller@debian.org>,
           Étienne Mollier <etienne.mollier@mailoo.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov <!nocheck>,
               python3-biom-format <!nocheck>,
               python3-h5py <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-scipy <!nocheck>,
               python3-seaborn <!nocheck>,
               qiime (>= 2019.10.0) <!nocheck>,
               q2templates <!nocheck>,
               q2-taxa <!nocheck>,
               q2-feature-table <!nocheck>,
               bowtie2 <!nocheck>,
               ncbi-blast+ <!nocheck>,
               samtools <!nocheck>,
               vsearch <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-control
Vcs-Git: https://salsa.debian.org/med-team/q2-quality-control.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-quality-control
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-biom-format,
         python3-h5py,
         python3-seaborn,
         python3-numpy,
         python3-pandas,
         python3-scipy,
         qiime,
         q2templates,
         q2-taxa,
         bowtie2,
         ncbi-blast+,
         samtools,
         vsearch
Description: QIIME 2 plugin for quality assurance of feature and sequence data
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/watch ===
version=4

opts="dversionmangle=auto,repack,compression=xz, \
  filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-quality-control/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-quality-control 2021.8.0

=== debian/changelog ===
q2-quality-control (2021.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d/salsa-ci.yml: disable build test on i386; q2-types missing on i386
  * remove skip-test-ppc64el.patch; bug #982139 fixed in vsearch 2.18.0

  [ Steffen Moeller ]
  * d/watch: Removed 'debian uupdate' to help routine-update

  [ Andreas Tille ]
  * New upstream version
  * Versioned (Build-)Depends qiime and q2 modules (>= 2021.8.0)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Steffen Moeller <moeller@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,15 +16,15 @@
                python3-pandas <!nocheck>,
                python3-scipy <!nocheck>,
                python3-seaborn <!nocheck>,
-               qiime (>= 2019.10.0) <!nocheck>,
-               q2templates <!nocheck>,
-               q2-taxa <!nocheck>,
-               q2-feature-table <!nocheck>,
+               qiime (>= 2021.8.0) <!nocheck>,
+               q2templates (>= 2021.8.0) <!nocheck>,
+               q2-taxa (>= 2021.8.0) <!nocheck>,
+               q2-feature-table (>= 2021.8.0) <!nocheck>,
                bowtie2 <!nocheck>,
                ncbi-blast+ <!nocheck>,
                samtools <!nocheck>,
                vsearch <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-control
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-control.git
 Homepage: https://qiime2.org/
@@ -41,9 +41,9 @@
          python3-numpy,
          python3-pandas,
          python3-scipy,
-         qiime,
-         q2templates,
-         q2-taxa,
+         qiime (>= 2021.8.0),
+         q2templates (>= 2021.8.0),
+         q2-taxa (>= 2021.8.0),
          bowtie2,
          ncbi-blast+,
          samtools,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-feature-table.egg-* {build_dir}/site.py \
	{build_dir}/.coverage* {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
#       at build time.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_quality_control" || true
endif

override_dh_install:
	dh_install
	find debian -name q2-quality-control.egg-link -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -rf __pycache__ q2_quality_control.egg-info .pytest_cache

## q2-quality-control 2022.2.0

=== debian/changelog ===
q2-quality-control (2022.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Tue, 12 Jul 2022 12:48:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,15 +16,15 @@
                python3-pandas <!nocheck>,
                python3-scipy <!nocheck>,
                python3-seaborn <!nocheck>,
-               qiime (>= 2021.8.0) <!nocheck>,
-               q2templates (>= 2021.8.0) <!nocheck>,
-               q2-taxa (>= 2021.8.0) <!nocheck>,
-               q2-feature-table (>= 2021.8.0) <!nocheck>,
+               qiime (>= 2022.2.1) <!nocheck>,
+               q2templates (>= 2022.2.0) <!nocheck>,
+               q2-taxa (>= 2022.2.0) <!nocheck>,
+               q2-feature-table (>= 2022.2.0) <!nocheck>,
                bowtie2 <!nocheck>,
                ncbi-blast+ <!nocheck>,
                samtools <!nocheck>,
                vsearch <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-control
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-control.git
 Homepage: https://qiime2.org/

## q2-quality-control 2022.8.0

=== debian/changelog ===
q2-quality-control (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 07 Sep 2022 00:41:43 +0000

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
                python3-pandas <!nocheck>,
                python3-scipy <!nocheck>,
                python3-seaborn <!nocheck>,
-               qiime (>= 2022.2.1) <!nocheck>,
-               q2templates (>= 2022.2.0) <!nocheck>,
-               q2-taxa (>= 2022.2.0) <!nocheck>,
-               q2-feature-table (>= 2022.2.0) <!nocheck>,
+               qiime (>= 2022.8.0) <!nocheck>,
+               q2templates (>= 2022.8.0) <!nocheck>,
+               q2-taxa (>= 2022.8.0) <!nocheck>,
+               q2-feature-table (>= 2022.8.0) <!nocheck>,
                bowtie2 <!nocheck>,
                ncbi-blast+ <!nocheck>,
                samtools <!nocheck>,
@@ -41,9 +41,9 @@
          python3-numpy,
          python3-pandas,
          python3-scipy,
-         qiime (>= 2021.8.0),
-         q2templates (>= 2021.8.0),
-         q2-taxa (>= 2021.8.0),
+         qiime (>= 2022.8.0),
+         q2templates (>= 2022.8.0),
+         q2-taxa (>= 2022.8.0),
          bowtie2,
          ncbi-blast+,
          samtools,

## q2-quality-control 2022.11.1

=== debian/changelog ===
q2-quality-control (2022.11.1-2exp1) experimental; urgency=medium

  * Team upload.
  * Build against scipy 1.10 in experimental
    Closes: #1029700

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 15:45:39 +0100

q2-quality-control (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:52:30 +0100

q2-quality-control (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 13:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,17 @@
                python3-h5py <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pandas <!nocheck>,
-               python3-scipy <!nocheck>,
+               python3-scipy (>= 1.10~) <!nocheck>,
                python3-seaborn <!nocheck>,
-               qiime (>= 2022.8.0) <!nocheck>,
-               q2templates (>= 2022.8.0) <!nocheck>,
-               q2-taxa (>= 2022.8.0) <!nocheck>,
-               q2-feature-table (>= 2022.8.0) <!nocheck>,
+               qiime (>= 2022.11.1) <!nocheck>,
+               q2templates (>= 2022.11.1) <!nocheck>,
+               q2-taxa (>= 2022.11.1) <!nocheck>,
+               q2-feature-table (>= 2022.11.1) <!nocheck>,
                bowtie2 <!nocheck>,
                ncbi-blast+ <!nocheck>,
                samtools <!nocheck>,
                vsearch <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-control
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-control.git
 Homepage: https://qiime2.org/
@@ -40,10 +40,10 @@
          python3-seaborn,
          python3-numpy,
          python3-pandas,
-         python3-scipy,
-         qiime (>= 2022.8.0),
-         q2templates (>= 2022.8.0),
-         q2-taxa (>= 2022.8.0),
+         python3-scipy (>= 1.10~),
+         qiime (>= 2022.11.1),
+         q2templates (>= 2022.11.1),
+         q2-taxa (>= 2022.11.1),
          bowtie2,
          ncbi-blast+,
          samtools,

## q2-quality-control 2024.5.0

=== debian/changelog ===
q2-quality-control (2024.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/salsa-ci.yml: Enable nocheck build profile job.
  * d/salsa-ci.yml: Build on unstable again.
  * d/rules: Fix build with nocheck profile. Closes: #1076914.
  * d/control{.in}: Drop "Rules-Requires-Root: no", no longer needed.
  * d/control{.in}: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 30 Sep 2025 20:20:00 +0200

q2-quality-control (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 14:27:55 +0200

q2-quality-control (2024.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fix test failure with Pandas 2.0
    Closes: #1044060

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2024 10:06:11 +0100

q2-quality-control (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

  [ Étienne Mollier ]
  * d/control: add dependency on r-base-core.
  * d/copyright: update copyright year.
  * d/rules: remove run_decontam.R from dist-packages.

  [ Andreas Tille ]
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)
  * Build-Depends: r-bioc-decontam
  * Force more strict versioned control on q2-taxa (>= 2023.9.0+dfsg-2~)
  * Enable autopkgtest for all supported Python3 versions
  * Depends: r-cran-optparse
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 14:50:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-quality-control
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
@@ -6,8 +7,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-pytest-cov <!nocheck>,
                python3-biom-format <!nocheck>,
@@ -16,19 +17,19 @@
                python3-pandas <!nocheck>,
                python3-scipy (>= 1.10~) <!nocheck>,
                python3-seaborn <!nocheck>,
-               qiime (>= 2022.11.1) <!nocheck>,
-               q2templates (>= 2022.11.1) <!nocheck>,
-               q2-taxa (>= 2022.11.1) <!nocheck>,
-               q2-feature-table (>= 2022.11.1) <!nocheck>,
+               qiime (>= 2024.5) <!nocheck>,
+               q2templates (>= 2024.5) <!nocheck>,
+               q2-taxa (>= 2024.5) <!nocheck>,
+               q2-feature-table (>= 2024.5) <!nocheck>,
+               r-base-core <!nocheck>,
                bowtie2 <!nocheck>,
                ncbi-blast+ <!nocheck>,
                samtools <!nocheck>,
                vsearch <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-control
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-control.git
 Homepage: https://qiime2.org/
-Rules-Requires-Root: no
 
 Package: q2-quality-control
 Architecture: all
@@ -41,9 +42,12 @@
          python3-numpy,
          python3-pandas,
          python3-scipy (>= 1.10~),
-         qiime (>= 2022.11.1),
-         q2templates (>= 2022.11.1),
-         q2-taxa (>= 2022.11.1),
+         qiime (>= 2024.5),
+         q2templates (>= 2024.5),
+         q2-taxa (>= 2024.5),
+         r-base-core,
+         r-bioc-decontam,
+         r-cran-optparse,
          bowtie2,
          ncbi-blast+,
          samtools,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
@@ -9,8 +11,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-feature-table.egg-* {build_dir}/site.py \
 	{build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
 #       at build time.
@@ -19,8 +28,8 @@
 	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_quality_control" || true
 endif
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
+	rm -f $(CURDIR)/debian/*/usr/lib/python3*/dist-packages/run_decontam.R
 	find debian -name q2-quality-control.egg-link -delete
 
 override_dh_auto_clean:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-quality-control/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
